Page MenuHomePhabricator

Simplify and document how to increase log verbosity/level for Eventlogging
Closed, ResolvedPublic3 Story Points

Description

During the last Eventlogging outage I spent a bit of time trying to raise the logs verbosity of Eventlogging and Kafka Python in a attempt to get more detail about what was happening. I made it in the end but it would be great to ease and document the process.

Event Timeline

elukey triaged this task as High priority.Jul 31 2018, 8:53 AM
elukey created this task.

Change 449422 had a related patch set uploaded (by Elukey; owner: Elukey):
[eventlogging@master] Set logging level to all kafka libraries to ease debugging sessions

https://gerrit.wikimedia.org/r/449422

Change 449422 merged by Elukey:
[eventlogging@master] Set logging level to all kafka libraries to ease debugging sessions

https://gerrit.wikimedia.org/r/449422

elukey set the point value for this task to 3.Aug 1 2018, 10:05 AM
elukey moved this task from Next Up to Done on the Analytics-Kanban board.
Nuria closed this task as Resolved.Aug 7 2018, 10:13 PM